My Oracle Support Banner

BouncyCastle PGP Encryption not Functioning in Java CAPS version 5.1.1 (Doc ID 1025154.1)

Last updated on APRIL 23, 2019

Applies to:

Oracle Java CAPS - Version 5.1.1 to 5.1.1 [Release 5.1]
Information in this document applies to any platform.

Symptoms

When trying to encrypt using Bouncy Castle third-party JAR files an error is received similar to the following and the message is not encrypted:

PGP Encryption Failed with [org.bouncycastle.openpgp.PGPException: exception encrypting session key

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.